<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/evidenz_ph">
		<html>
			<head>
				<title>BiDok PH</title>
				<style type="text/css">
				    h1 { font-family:Arial,sans-serif; font-size:18pt; font-weight:bold;}
					h2 { font-family:Arial,sans-serif; font-size:16pt; font-weight:bold;}
					p { font-family:Arial,sans-serif; font-size:10pt; font-weight:normal;}
					p.fett { font-family:Arial,sans-serif; font-size:10pt; font-weight:bold;}
					table {border: 0; font-family:Arial,sans-serif;border-collapse: collapse;border-color: #000000;}
					tr {font-family:Arial,sans-serif; font-size:8pt; font-weight:normal; border-bottom-style:solid; border-bottom-width:1;}
					td.werte {font-family:Arial,sans-serif; font-size:8pt; font-weight:normal; text-align:center; border-left-width: 1; border-right-width: 1; border-top-width: 1; border-bottom-style: solid; border-bottom-width: 1;}
					td.bez {font-family:Arial,sans-serif; font-size:8pt; font-weight:normal; text-align:left; border-left-width: 1; border-right-width: 1; border-top-width: 1; border-bottom-style: solid; border-bottom-width: 1;}
					td.bezgruppe {font-family:Arial,sans-serif; font-size:8pt; font-weight:normal; text-align:left; border-left-width: 1; border-right-width: 1; border-top-width: 1; border-bottom-style: solid; border-bottom-width: 1;}
				</style>
			</head>
			<body>
				<h1 class="h1">
					<xsl:text>Bildungsdokumentation Pädagogische Hochschulen</xsl:text>
				</h1>
				<table class="table">
					<tbody>
						<tr>
							<td>
								<xsl:text>Pädagogische Hochschule: </xsl:text>
							</td>
							<td>
								<xsl:value-of select="@paed_hs_meldend_name"/>
								<xsl:text> (</xsl:text>
								<xsl:value-of select="@paed_hs_meldend"/>
								<xsl:text>)</xsl:text>
								<xsl:text> (DVR: </xsl:text>
								<xsl:value-of select="@dvr"/>
								<xsl:text>)</xsl:text>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:text>DKZ: </xsl:text>
							</td>
							<td>
								<xsl:value-of select="@dkz"/>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:text>Berichtssemester: </xsl:text>
							</td>
							<td>
								<xsl:value-of select="@berichtssemester"/>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:text>Kennzeichen: </xsl:text>
							</td>
							<td>
								<xsl:value-of select="@kennzeichen"/>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:text>Meldedatum: </xsl:text>
							</td>
							<td>
								<xsl:value-of select="@meldedatum"/>
							</td>
						</tr>
					</tbody>
				</table>
				<h2>Studierendendaten</h2>
				<table class="table">
					<tbody>
						<tr>
							<td>
								<xsl:text>Anzahl der Datensätze: </xsl:text>
							</td>
							<td>
								<xsl:value-of select="count(studierende//student)"/>
							</td>
						</tr>
					</tbody>
				</table>
				<table class="table">
					<tbody>
						<tr class="tr">
							<th align="left">Matrikelnummer</th>
							<th align="left">Geburtsdatum</th>
							<th align="left">Staat</th>
							<th align="left">Geschlecht</th>
							<th align="left">Sozialversicherungsnummer</th>
							<th align="left">Ersatzkennzahl</th>
							<th align="left">Unireife - Schulform</th>
							<th align="left">Unireife - Datum</th>
							<th align="left">Studienberechtigungsdatum</th>
							<th align="left">Akademischer Grad vor dem Namen</th>
							<th align="left">Akademischer Grad nach dem Namen</th>
							<th align="left">Heimatort Staat</th>
							<th align="left">Heimatort PLZ</th>
							<th align="left">Heimatort</th>
							<th align="left">Heimatort Straße</th>
							<th align="left">Beitragsstatus</th>
							<th align="left">Mobilitätsprogramm Nummber</th>
							<th align="left">Mobilitätsprogramm Staat</th>
						</tr>
						<xsl:for-each select="studierende/student">
						    <!-- Stammdaten -->
							<tr class="tr">
								<td class="bez">
									<xsl:value-of select="@matrikelnr"/>
								</td>
								<td class="bez">
									<xsl:value-of select="gebdatum"/>
								</td>
								<td class="bez">
									<xsl:value-of select="staat"/>
								</td>
								<td class="bez">
									<xsl:value-of select="geschlecht"/>
								</td>
								<td class="bez">
									<xsl:value-of select="sozvers"/>
								</td>
								<td class="bez">
									<xsl:value-of select="ersatzkz"/>
								</td>
								<td class="bez">
									<xsl:value-of select="unireife_schulform"/>
								</td>
								<td class="bez">
									<xsl:value-of select="unireife_datum"/>
								</td>
								<td class="bez">
									<xsl:value-of select="studberechtigung_datum"/>
								</td>
								<td class="bez">
									<xsl:value-of select="akadgrad_vor_name"/>
								</td>
								<td class="bez">
									<xsl:value-of select="akadgrad_nach_name"/>
								</td>
								<td class="bez">
									<xsl:value-of select="heimatort_staat"/>
								</td>
								<td class="bez">
									<xsl:value-of select="heimatort_plz"/>
								</td>
								<td class="bez">
									<xsl:value-of select="heimatort"/>
								</td>
								<td class="bez">
									<xsl:value-of select="heimatort_strasse"/>
								</td>
								<td class="bez">
									<xsl:value-of select="beitrag_status"/>
								</td>
								<td class="bez">
									<xsl:value-of select="mobil_programm_prognr"/>
								</td>
								<td class="bez">
									<xsl:value-of select="mobil_programm_staat"/>
								</td>
							</tr>
							<!-- Studien -->
						    <tr>
							  <td colspan="18" style="padding-left: 50px;">
							    <table>
								  <tbody>
								    <tr>
									  <th align="left">Studienkennzahl 1</th>
									  <th align="left">Studienkennzahl 2</th>
									  <th align="left">Studienkennzahl 3</th>
									  <th align="left">PH Zulassung</th>
									  <th align="left">PH Weitermeldung</th>
									  <th align="left">Zulassungsstatus</th>
									  <th align="left">Zulassungsdatum</th>
									  <th align="left">Inskription</th>
									  <th align="left">Anzahl belegter Semester</th>
									  <th align="left">Beendigungsform</th>
									  <th align="left">Beendigungsdatum</th>
								    </tr>
								    <xsl:for-each select="studien/studium">
										<tr>
											<td>
												<xsl:value-of select="studkz1"/>
											</td>
											<td>
												<xsl:value-of select="studkz2"/>
											</td>
											<td>
												<xsl:value-of select="studkz3"/>
											</td>
											<td>
												<xsl:value-of select="paed_hs_zulassung"/>
											</td>
											<td>
												<xsl:value-of select="paed_hs_weiter"/>
											</td>
											<td>
												<xsl:value-of select="zulassung_status"/>
											</td>
											<td>
												<xsl:value-of select="zulassung_datum"/>
											</td>
											<td>
												<xsl:value-of select="inskription"/>
											</td>
											<td>
												<xsl:value-of select="anz_semester_belegt"/>
											</td>
											<td>
												<xsl:value-of select="beendigung_datum"/>
											</td>
											<td>
												<xsl:value-of select="beendigung_form"/>
											</td>
										</tr>
							        </xsl:for-each>
							        <tr>
										<td colspan="11" style="padding-bottom: 10px;">&#160;</td>
									</tr>
								  </tbody>
								</table>
							</td>
						  </tr>
						</xsl:for-each>
					</tbody>
				</table>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
